Skip to main content
POST
/
v1
/
images
/
generations
/
async
Generate image
curl --request POST \
  --url https://api.siray.ai/v1/images/generations/async \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "aspect_ratio": "1:1",
  "images": [
    "example_value"
  ],
  "model": "google/nano-banana-pro-i2i",
  "prompt": "example_value",
  "size": "1k"
}
'
import requests

url = "https://api.siray.ai/v1/images/generations/async"

payload = {
"aspect_ratio": "1:1",
"images": ["example_value"],
"model": "google/nano-banana-pro-i2i",
"prompt": "example_value",
"size": "1k"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
aspect_ratio: '1:1',
images: ['example_value'],
model: 'google/nano-banana-pro-i2i',
prompt: 'example_value',
size: '1k'
})
};

fetch('https://api.siray.ai/v1/images/generations/async', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": "success",
  "data": {
    "task_id": "<string>"
  },
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication using API key

Body

application/json

Request payload

Request format for image generation models

aspect_ratio
enum<string>
required

Aspect ratio

Available options:
1:1,
2:3,
3:2,
3:4,
4:3,
4:5,
5:4,
9:16,
16:9,
21:9
images
string[]
required

Array of input images, which can be data URL or image URL

Required array length: 1 - 14 elements
model
enum<string>
required

Model name to use for the request

Available options:
google/nano-banana-pro-i2i
prompt
string
required

Text prompt for generation

size
enum<string>
required

Fixed size

Available options:
1k,
2k,
4k

Response

200 - application/json

Successful response

Standard async task creation response

code
string
required

Status code returned by the service

Example:

"success"

data
object
required

Response payload containing task details

message
string
required

Additional information about the request result